From: "Ian Stakenvicius" <axs@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/ck-sources/
Date: Tue, 24 May 2016 18:09:27 +0000 (UTC) [thread overview]
Message-ID: <1464113362.91dd958a2ce457a7df6f74c4b74c670b0cee5a9f.axs@gentoo> (raw)
commit: 91dd958a2ce457a7df6f74c4b74c670b0cee5a9f
Author: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Tue May 24 18:07:58 2016 +0000
Commit: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Tue May 24 18:09:22 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91dd958a
sys-kernel/ck-sources: move use() calls out of global scope
Bug: http://bugs.gentoo.org/582200
Package-Manager: portage-2.2.28
sys-kernel/ck-sources/ck-sources-3.10.97.ebuild | 24 +++++++++---------
sys-kernel/ck-sources/ck-sources-3.14.61.ebuild | 24 +++++++++---------
sys-kernel/ck-sources/ck-sources-3.18.27.ebuild | 24 +++++++++---------
sys-kernel/ck-sources/ck-sources-3.4.110.ebuild | 33 +++++++++++++------------
4 files changed, 56 insertions(+), 49 deletions(-)
diff --git a/sys-kernel/ck-sources/ck-sources-3.10.97.ebuild b/sys-kernel/ck-sources/ck-sources-3.10.97.ebuild
index c82c404..951191b 100644
--- a/sys-kernel/ck-sources/ck-sources-3.10.97.ebuild
+++ b/sys-kernel/ck-sources/ck-sources-3.10.97.ebuild
@@ -74,21 +74,23 @@ SRC_URI="${KERNEL_URI} ${LX_INCP_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_INCP_UR
!bfsonly? ( ${CK_URI} )
bfsonly? ( ${BFS_URI} )"
-UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
-
-if ! use bfsonly ; then
- UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
-else
- UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
-fi
+K_EXP_GENPATCHES_LIST="50*_*.patch*"
-UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
+src_unpack() {
+ UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
+ UNIPATCH_STRICTORDER="yes"
-UNIPATCH_STRICTORDER="yes"
+ if ! use bfsonly ; then
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
+ else
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
+ fi
-#-- Since experimental genpatches && we want BFQ irrespective of experimental -
+ UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
-K_EXP_GENPATCHES_LIST="50*_*.patch*"
+ #-- Since experimental genpatches && we want BFQ irrespective of experimental -
+ kernel-2_src_unpack
+}
src_prepare() {
diff --git a/sys-kernel/ck-sources/ck-sources-3.14.61.ebuild b/sys-kernel/ck-sources/ck-sources-3.14.61.ebuild
index 6f14fdf..a10afea 100644
--- a/sys-kernel/ck-sources/ck-sources-3.14.61.ebuild
+++ b/sys-kernel/ck-sources/ck-sources-3.14.61.ebuild
@@ -72,21 +72,23 @@ SRC_URI="${KERNEL_URI} ${LX_INCP_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_INCP_UR
!bfsonly? ( ${CK_URI} )
bfsonly? ( ${BFS_URI} )"
-UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
-
-if ! use bfsonly ; then
- UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
-else
- UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
-fi
+K_EXP_GENPATCHES_LIST="50*_*.patch*"
-UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
+src_unpack() {
+ UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
+ UNIPATCH_STRICTORDER="yes"
-UNIPATCH_STRICTORDER="yes"
+ if ! use bfsonly ; then
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
+ else
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
+ fi
-#-- Since experimental genpatches && we want BFQ irrespective of experimental -
+ UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
-K_EXP_GENPATCHES_LIST="50*_*.patch*"
+ #-- Since experimental genpatches && we want BFQ irrespective of experimental -
+ kernel-2_src_unpack
+}
src_prepare() {
diff --git a/sys-kernel/ck-sources/ck-sources-3.18.27.ebuild b/sys-kernel/ck-sources/ck-sources-3.18.27.ebuild
index ff06a24..d475fef 100644
--- a/sys-kernel/ck-sources/ck-sources-3.18.27.ebuild
+++ b/sys-kernel/ck-sources/ck-sources-3.18.27.ebuild
@@ -72,21 +72,23 @@ SRC_URI="${KERNEL_URI} ${LX_INCP_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_INCP_UR
!bfsonly? ( ${CK_URI} )
bfsonly? ( ${BFS_URI} )"
-UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
-
-if ! use bfsonly ; then
- UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
-else
- UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
-fi
+K_EXP_GENPATCHES_LIST="50*_*.patch*"
-UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
+src_unpack() {
+ UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
+ UNIPATCH_STRICTORDER="yes"
-UNIPATCH_STRICTORDER="yes"
+ if ! use bfsonly ; then
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
+ else
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
+ fi
-#-- Since experimental genpatches && we want BFQ irrespective of experimental -
+ UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
-K_EXP_GENPATCHES_LIST="50*_*.patch*"
+ #-- Since experimental genpatches && we want BFQ irrespective of experimental -
+ kernel-2_src_unpack
+}
src_prepare() {
diff --git a/sys-kernel/ck-sources/ck-sources-3.4.110.ebuild b/sys-kernel/ck-sources/ck-sources-3.4.110.ebuild
index 06bb20e..4c39624 100644
--- a/sys-kernel/ck-sources/ck-sources-3.4.110.ebuild
+++ b/sys-kernel/ck-sources/ck-sources-3.4.110.ebuild
@@ -77,28 +77,29 @@ SRC_URI="${KERNEL_URI} ${LX_INCP_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_INCP_UR
experimental? (
urwlocks? ( ${XPR_1_URI} ${XPR_2_URI} ) )"
-UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
-
-if ! use bfsonly ; then
- UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
-else
- UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
-fi
+src_unpack() {
+ UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}"
+ UNIPATCH_STRICTORDER="yes"
+
+ if ! use bfsonly ; then
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${CK_FILE}"
+ else
+ UNIPATCH_LIST="${UNIPATCH_LIST}/${BFS_FILE}"
+ fi
-UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
+ UNIPATCH_LIST="${UNIPATCH_LIST} ${CK_INCP_LIST} ${POST_CK_FIX}"
-if use experimental ; then
- if use urwlocks ; then
- UNIPATCH_LIST="${UNIPATCH_LIST} ${DISTDIR}/${XPR_1_FILE} ${DISTDIR}/${XPR_2_FILE}:1"
+ if use experimental ; then
+ if use urwlocks ; then
+ UNIPATCH_LIST="${UNIPATCH_LIST} ${DISTDIR}/${XPR_1_FILE} ${DISTDIR}/${XPR_2_FILE}:1"
+ fi
fi
-fi
-UNIPATCH_STRICTORDER="yes"
+ kernel-2_src_unpack
+}
src_prepare() {
-
-#-- Comment out CK's EXTRAVERSION in Makefile ---------------------------------
-
+ #-- Comment out CK's EXTRAVERSION in Makefile ---------------------------------
sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile"
}
next reply other threads:[~2016-05-24 18:09 UTC|newest]
Thread overview: 249+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-05-24 18:09 Ian Stakenvicius [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-06-23 10:39 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/ck-sources/ Jory Pratt
2020-05-02 16:28 Jory Pratt
2020-04-13 13:34 Jory Pratt
2020-03-29 12:44 Jory Pratt
2020-03-07 17:16 Jory Pratt
2020-02-05 14:55 Jory Pratt
2020-01-28 16:21 Jory Pratt
2020-01-14 20:06 Jory Pratt
2020-01-03 17:25 Jory Pratt
2019-12-30 0:25 Jory Pratt
2019-12-13 21:59 Jory Pratt
2019-12-13 13:12 Jory Pratt
2019-12-10 12:56 Jory Pratt
2019-12-09 23:21 Jory Pratt
2019-12-09 22:25 Jory Pratt
2019-12-09 22:15 Göktürk Yüksek
2019-12-09 22:15 Göktürk Yüksek
2019-08-11 11:31 David Seifert
2019-07-28 16:01 Göktürk Yüksek
2019-06-06 2:48 Göktürk Yüksek
2019-04-09 3:40 Göktürk Yüksek
2019-01-12 18:46 Michał Górny
2018-11-14 19:54 Göktürk Yüksek
2018-11-14 19:54 Göktürk Yüksek
2018-11-14 19:54 Göktürk Yüksek
2018-11-14 19:54 Göktürk Yüksek
2018-10-21 19:57 Göktürk Yüksek
2018-10-21 19:57 Göktürk Yüksek
2018-10-21 19:57 Göktürk Yüksek
2018-10-12 0:57 Thomas Deutschmann
2018-10-12 0:57 Thomas Deutschmann
2018-10-12 0:57 Thomas Deutschmann
2018-10-05 16:09 Göktürk Yüksek
2018-10-05 16:09 Göktürk Yüksek
2018-10-05 16:09 Göktürk Yüksek
2018-10-05 16:09 Göktürk Yüksek
2018-09-28 9:30 Michał Górny
2018-09-28 9:30 Michał Górny
2018-09-28 9:30 Michał Górny
2018-09-28 9:30 Michał Górny
2018-09-13 2:06 Alice Ferrazzi
2018-09-13 2:06 Alice Ferrazzi
2018-09-13 2:06 Alice Ferrazzi
2018-09-06 0:53 Thomas Deutschmann
2018-09-06 0:53 Thomas Deutschmann
2018-09-06 0:53 Thomas Deutschmann
2018-09-06 0:53 Thomas Deutschmann
2018-08-25 6:20 Michał Górny
2018-08-25 6:20 Michał Górny
2018-08-20 23:40 Göktürk Yüksek
2018-08-20 23:40 Göktürk Yüksek
2018-08-07 19:08 Göktürk Yüksek
2018-08-07 19:08 Göktürk Yüksek
2018-08-01 22:54 Göktürk Yüksek
2018-08-01 22:54 Göktürk Yüksek
2018-08-01 22:54 Göktürk Yüksek
2018-07-19 16:56 Göktürk Yüksek
2018-07-19 16:56 Göktürk Yüksek
2018-07-19 16:56 Göktürk Yüksek
2018-07-17 21:43 Göktürk Yüksek
2018-07-17 21:43 Göktürk Yüksek
2018-07-17 21:43 Göktürk Yüksek
2018-06-22 21:14 Göktürk Yüksek
2018-06-22 21:14 Göktürk Yüksek
2018-06-08 16:29 Aaron Bauman
2018-06-08 16:29 Aaron Bauman
2018-06-08 16:29 Aaron Bauman
2018-06-01 14:07 Aaron Bauman
2018-06-01 14:07 Aaron Bauman
2018-06-01 14:07 Aaron Bauman
2018-05-26 23:21 Aaron Bauman
2018-05-26 23:21 Aaron Bauman
2018-05-26 23:21 Aaron Bauman
2018-05-25 12:43 Aaron Bauman
2018-05-25 12:43 Aaron Bauman
2018-05-25 12:43 Aaron Bauman
2018-05-21 17:06 Aaron Bauman
2018-05-21 17:06 Aaron Bauman
2018-05-21 17:06 Aaron Bauman
2018-05-16 19:13 Göktürk Yüksek
2018-05-16 19:13 Göktürk Yüksek
2018-05-16 19:13 Göktürk Yüksek
2018-05-11 10:15 Michał Górny
2018-05-11 10:15 Michał Górny
2018-05-11 10:15 Michał Górny
2018-05-11 10:15 Michał Górny
2018-04-21 2:31 Göktürk Yüksek
2018-04-21 2:31 Göktürk Yüksek
2018-04-21 2:31 Göktürk Yüksek
2018-04-13 6:08 Göktürk Yüksek
2018-04-13 6:08 Göktürk Yüksek
2018-04-13 6:08 Göktürk Yüksek
2018-04-04 13:03 Göktürk Yüksek
2018-04-04 13:03 Göktürk Yüksek
2018-04-04 13:03 Göktürk Yüksek
2018-03-29 18:49 Göktürk Yüksek
2018-03-29 18:49 Göktürk Yüksek
2018-03-29 18:49 Göktürk Yüksek
2018-03-22 17:09 Göktürk Yüksek
2018-03-22 17:09 Göktürk Yüksek
2018-03-22 17:09 Göktürk Yüksek
2018-03-14 6:40 Göktürk Yüksek
2018-03-14 6:40 Göktürk Yüksek
2018-03-14 6:40 Göktürk Yüksek
2018-03-14 6:40 Göktürk Yüksek
2018-03-03 5:03 Göktürk Yüksek
2018-03-03 5:03 Göktürk Yüksek
2018-03-03 5:03 Göktürk Yüksek
2018-02-26 22:02 Patrice Clement
2018-02-26 22:02 Patrice Clement
2018-02-26 22:02 Patrice Clement
2018-02-19 20:27 Göktürk Yüksek
2018-02-19 20:27 Göktürk Yüksek
2018-02-18 17:16 Patrice Clement
2018-02-14 5:52 Göktürk Yüksek
2018-01-18 23:03 Göktürk Yüksek
2018-01-18 23:03 Göktürk Yüksek
2018-01-15 20:58 Göktürk Yüksek
2018-01-10 21:06 Göktürk Yüksek
2018-01-10 21:06 Göktürk Yüksek
2018-01-10 21:06 Göktürk Yüksek
2018-01-05 22:36 Göktürk Yüksek
2018-01-05 22:36 Göktürk Yüksek
2018-01-03 22:00 Göktürk Yüksek
2018-01-03 22:00 Göktürk Yüksek
2017-12-26 9:10 Alice Ferrazzi
2017-12-26 9:10 Alice Ferrazzi
2017-12-21 20:29 Patrice Clement
2017-12-17 7:21 Alice Ferrazzi
2017-12-15 8:23 Patrice Clement
2017-12-11 15:46 Göktürk Yüksek
2017-12-11 15:46 Göktürk Yüksek
2017-12-06 12:32 Michael Palimaka
2017-12-06 12:32 Michael Palimaka
2017-11-30 17:04 Göktürk Yüksek
2017-11-29 7:00 Göktürk Yüksek
2017-11-25 8:41 Alice Ferrazzi
2017-11-25 8:41 Alice Ferrazzi
2017-11-21 15:45 Alice Ferrazzi
2017-11-20 8:37 Amy Liffey
2017-11-20 8:37 Amy Liffey
2017-11-16 4:13 Alice Ferrazzi
2017-11-08 21:38 Göktürk Yüksek
2017-11-03 1:50 Göktürk Yüksek
2017-10-27 19:38 Göktürk Yüksek
2017-10-27 19:38 Göktürk Yüksek
2017-10-22 3:57 Göktürk Yüksek
2017-10-20 16:23 Patrice Clement
2017-10-19 3:41 Alice Ferrazzi
2017-10-13 15:01 Alice Ferrazzi
2017-10-12 21:22 Göktürk Yüksek
2017-10-09 9:14 Alice Ferrazzi
2017-10-07 5:06 Amy Liffey
2017-10-07 5:06 Amy Liffey
2017-09-28 11:43 Alice Ferrazzi
2017-09-21 5:08 Alice Ferrazzi
2017-09-13 14:18 Michael Palimaka
2017-09-08 4:48 Göktürk Yüksek
2017-09-04 16:53 Göktürk Yüksek
2017-09-02 1:41 Göktürk Yüksek
2017-09-01 6:34 Göktürk Yüksek
2017-08-30 16:08 Göktürk Yüksek
2017-08-19 18:53 Göktürk Yüksek
2017-08-15 17:27 Göktürk Yüksek
2017-08-14 18:38 Göktürk Yüksek
2017-08-12 18:11 Alice Ferrazzi
2017-08-10 11:01 Michał Górny
2017-08-10 11:01 Michał Górny
2017-07-25 18:14 Göktürk Yüksek
2017-07-25 18:14 Göktürk Yüksek
2017-07-17 17:07 Göktürk Yüksek
2017-07-17 17:07 Göktürk Yüksek
2017-07-13 22:00 Göktürk Yüksek
2017-07-05 20:08 Göktürk Yüksek
2017-07-04 16:18 Göktürk Yüksek
2017-06-24 18:41 Alice Ferrazzi
2017-06-24 18:41 Alice Ferrazzi
2017-06-18 15:13 Alice Ferrazzi
2017-06-15 2:05 Göktürk Yüksek
2017-06-08 15:20 Alice Ferrazzi
2017-05-26 18:06 Göktürk Yüksek
2017-05-26 8:05 Göktürk Yüksek
2017-05-22 20:17 Göktürk Yüksek
2017-05-21 11:16 Michał Górny
2017-05-21 11:16 Michał Górny
2017-05-19 12:01 Göktürk Yüksek
2017-05-15 8:08 Göktürk Yüksek
2017-05-11 10:36 Göktürk Yüksek
2017-05-06 22:53 Göktürk Yüksek
2017-04-27 22:54 Göktürk Yüksek
2017-04-24 8:04 Göktürk Yüksek
2017-04-24 8:04 Göktürk Yüksek
2017-04-19 14:01 Göktürk Yüksek
2017-04-13 19:39 Göktürk Yüksek
2017-04-09 22:43 Göktürk Yüksek
2017-04-09 22:43 Göktürk Yüksek
2017-04-01 6:23 Göktürk Yüksek
2017-03-27 18:20 Göktürk Yüksek
2017-03-27 18:20 Göktürk Yüksek
2017-03-23 6:39 Göktürk Yüksek
2017-03-20 18:38 Göktürk Yüksek
2017-03-20 16:35 Göktürk Yüksek
2017-03-17 18:00 Göktürk Yüksek
2017-03-16 21:14 Göktürk Yüksek
2017-03-16 8:34 Amy Liffey
2017-03-15 19:30 Amy Liffey
2017-02-27 21:54 Göktürk Yüksek
2017-02-25 3:23 Göktürk Yüksek
2017-02-24 20:32 Göktürk Yüksek
2017-02-24 8:26 Göktürk Yüksek
2017-02-23 22:33 Göktürk Yüksek
2017-02-20 19:07 Göktürk Yüksek
2017-02-20 19:07 Göktürk Yüksek
2017-02-16 1:26 Göktürk Yüksek
2017-02-10 0:25 Göktürk Yüksek
2017-02-06 23:00 Göktürk Yüksek
2017-02-04 17:28 Göktürk Yüksek
2017-02-02 18:15 Göktürk Yüksek
2017-01-30 21:26 Göktürk Yüksek
2017-01-29 4:24 Göktürk Yüksek
2017-01-24 21:13 Göktürk Yüksek
2017-01-24 7:12 Göktürk Yüksek
2017-01-23 23:18 Göktürk Yüksek
2017-01-23 23:18 Göktürk Yüksek
2017-01-21 12:32 Göktürk Yüksek
2017-01-20 9:12 Göktürk Yüksek
2017-01-20 4:56 Göktürk Yüksek
2017-01-20 4:56 Göktürk Yüksek
2016-09-18 20:04 Mike Gilbert
2016-07-07 19:48 Austin English
2016-05-28 10:52 Pacho Ramos
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 20:20 David Seifert
2016-02-21 17:16 David Seifert
2015-08-18 5:32 Ben de Groot
2015-08-18 1:51 Ben de Groot
2015-08-11 15:46 Ben de Groot
2015-08-11 15:29 Ben de Groot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1464113362.91dd958a2ce457a7df6f74c4b74c670b0cee5a9f.axs@gentoo \
--to=axs@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox